#ifndef _H_88A1540C08465DDB558D6FB73F0736FC_SetBool__H_
#define _H_88A1540C08465DDB558D6FB73F0736FC_SetBool__H_

#include "sacpp_mapping.h"
#include "cpp_dcps_if.h"


namespace std_srvs
{
    namespace srv
    {
        namespace dds_
        {
            struct  SetBool_Request_
            {
                ::DDS::Boolean data_;
            };

            typedef DDS_DCPSStruct_var<SetBool_Request_> SetBool_Request__var;
            typedef SetBool_Request_& SetBool_Request__out;

            struct  SetBool_Response_
            {
                ::DDS::Boolean success_;
                ::DDS::String_mgr message_;
            };

            typedef DDS_DCPSStruct_var<SetBool_Response_> SetBool_Response__var;
            typedef DDS_DCPSStruct_out < SetBool_Response_> SetBool_Response__out;

            struct  Sample_SetBool_Request_
            {
                ::DDS::ULongLong client_guid_0_;
                ::DDS::ULongLong client_guid_1_;
                ::DDS::LongLong sequence_number_;
                ::std_srvs::srv::dds_::SetBool_Request_ request_;
            };

            typedef DDS_DCPSStruct_var<Sample_SetBool_Request_> Sample_SetBool_Request__var;
            typedef Sample_SetBool_Request_& Sample_SetBool_Request__out;

            struct  Sample_SetBool_Response_
            {
                ::DDS::ULongLong client_guid_0_;
                ::DDS::ULongLong client_guid_1_;
                ::DDS::LongLong sequence_number_;
                ::std_srvs::srv::dds_::SetBool_Response_ response_;
            };

            typedef DDS_DCPSStruct_var<Sample_SetBool_Response_> Sample_SetBool_Response__var;
            typedef DDS_DCPSStruct_out < Sample_SetBool_Response_> Sample_SetBool_Response__out;

        }

    }

}

#endif /* _H_88A1540C08465DDB558D6FB73F0736FC_SetBool__H_ */
